The Linux Kernel 3.2.48 LTS Has Been Officially Released | Install Kernel 3.2.48 On Ubuntu, Debian And Derivates

Hello Linux Geeksters. As you may have heard, the Linux Kernel 3.2.48 LTS (long term support) has been released today.

It brings bugfixes, some drivers improvements, among the most notable changes, UEFI anti-bricking code.

how to install the Linux Kernel 3.2.48 LTS on Ubuntu 13.10 Saucy Salamander, Ubuntu 13.04 Raring Ringtail, Ubuntu 12.10 Quantal Quetzal, Ubuntu 12.04 Precise Pangolin, Linux Mint 16 Petra, Linux Mint 15 Olivia, Linux Mint 14 Nadia, Linux Mint 13 Maya, Debian Jessie, Debian Sid, Debian Wheezy, Debian Squeeze, Knoppix 7.2.0, Knoppix 7.1.0, Crunchbang OS and many other Debian / Ubuntu derivates.

In this article I will show you how to install the Linux Kernel 3.2.48 LTS on Ubuntu 13.10 Saucy Salamander, Ubuntu 13.04 Raring Ringtail, Ubuntu 12.10 Quantal Quetzal, Ubuntu 12.04 Precise Pangolin, Linux Mint 16 Petra, Linux Mint 15 Olivia, Linux Mint 14 Nadia, Linux Mint 13 Maya, Debian Jessie, Debian Sid, Debian Wheezy, Debian Squeeze, Knoppix 7.2.0, Knoppix 7.1.0, Crunchbang OS and many other Debian / Ubuntu derivates.

Instructions for installing the Linux Kernel 3.2.48 LTS on 32 bit Ubuntu / Debian derivates:

Download the needed packages:

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-headers-3.2.48-030248_3.2.48-030248.201306291335_all.deb
$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-headers-3.2.48-030248-generic_3.2.48-030248.201306291335_i386.deb
$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-image-3.2.48-030248-generic_3.2.48-030248.201306291335_i386.deb
$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-image-extra-3.2.48-030248-virtual_3.2.48-030248.201306291335_i386.deb

Install the Linux Kernel 3.2.48 LTS on 32 bit Ubuntu, Debian, Linux Mint and derivates:

$ sudo dpkg -i *.deb

Instructions for installing the Linux Kernel 3.2.48 LTS on 32 bit Ubuntu / Debian derivates:

Download the needed packages:

$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-headers-3.2.48-030248_3.2.48-030248.201306291335_all.deb
$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-headers-3.2.48-030248-generic_3.2.48-030248.201306291335_amd64.deb
$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-image-3.2.48-030248-generic_3.2.48-030248.201306291335_amd64.deb
$ wget -c kernel.ubuntu.com/~kernel-ppa/mainline/v3.2.48-precise/linux-image-extra-3.2.48-030248-virtual_3.2.48-030248.201306291335_amd64.deb

Install the Linux Kernel 3.2.48 LTS on 64 bit Ubuntu, Debian, Linux Mint and derivates:

$ sudo dpkg -i *.deb

Liked it? Take a second to support Geekster on Patreon!
Tagged with: , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!
3 comments on “The Linux Kernel 3.2.48 LTS Has Been Officially Released | Install Kernel 3.2.48 On Ubuntu, Debian And Derivates
  1. Madalone says:

    thanks for the post! i’m on ubuntu 13.04 and when installing i get the following error:

    DKMS make.log for nvidia-319.32 for kernel 3.2.48-030248-generic (i686)
    Mon Jul 1 19:43:11 CEST 2013

    gcc-version-check failed:

    The compiler used to compile the kernel (gcc
    4.6) does not exactly match the current compiler
    (gcc 4.7). The Linux 2.6 kernel module loader
    rejects kernel modules built with a version of gcc
    that does not exactly match that of the compiler
    used to build the running kernel.

    If you know what you are doing and want to override
    the gcc version check, you can do so by setting the
    IGNORE_CC_MISMATCH environment variable to “1”.

    In any other case, set the CC environment variable
    to the name of the compiler that was used to compile
    the kernel.

    *** Failed CC version check. Bailing out! ***

    make[1]: *** [build-sanity-checks] Error 1
    make: *** [module] Error 2

    any advice? also, is this kernel newer than 3.10.0-03100?

    thanks in advance!

    • Geekster says:

      follow the instructions and set IGNORE_CC_MISMATCH to 1. it is not newer than 3.10 kernel. it is the kernel used at ubuntu 12.04, but with stable updates.

  2. Madalone says:

    alright then i’ll stick to 3.10. thanks for the reply!

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Support LinuxG via Patreon
Support LinuxG.net on Patreon!
Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!